Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.common
Class StartBrowser

    java.lang.Object
      |
      +--com.bea.p13n.common.StartBrowser

public class StartBrowser
extends java.lang.Object
implements java.lang.Runnable, weblogic.common.T3StartupDef

This startup class displays a message in the server shell informing the user which URL can be used to access the Portal samples. On Windows, a browser will be automatically launched to the appropriate URL.

Constructor Summary
`StartBrowser()` Default constructor.
`StartBrowser(java.lang.String host, java.lang.String port, java.lang.String path)` Constructs a StartBrowser with the specified host and port values.

Method Summary
`void` | `run()` Loops indefinitely trying to create a socket to host/port waits sleepTime in between each try.
`void` | `setServices(weblogic.common.T3ServicesDef services)`
`java.lang.String` | `startup(java.lang.String name, java.util.Hashtable args)` Print message in the server shell informing the user which URL can be used to launch the browser.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StartBrowser

    public StartBrowser(java.lang.String host,
                        java.lang.String port,
                        java.lang.String path)

  Constructs a StartBrowser with the specified host and port values.

  Parameters:
    `host` - hostname
    `port` - listen port
    `path` -

### StartBrowser

    public StartBrowser()

  Default constructor.

Method Detail

### setServices

    public void setServices(weblogic.common.T3ServicesDef services)

  Specified by:
    setServices in interface weblogic.common.T3StartupDef

### run

    public void run()

  Loops indefinitely trying to create a socket to host/port waits sleepTime in between each try. On a successful socket create, start browser.
  Specified by:
    run in interface java.lang.Runnable

### startup

    public java.lang.String startup(java.lang.String name,
                                    java.util.Hashtable args)
                             throws java.lang.Exception

  Print message in the server shell informing the user which URL can be used to launch the browser. On Windows, start a new thread to launch the browser.
  Specified by:
    startup in interface weblogic.common.T3StartupDef

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved